LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XRadioButton Interface Referencepublished

gives access to the state of a radio button and makes it possible to register item event listeners. More...

`import"XRadioButton.idl";`

Inheritance diagram for XRadioButton:

## Public Member Functions
void | addItemListener ([in] com::sun::star::awt::XItemListener l)
| registers a listener for item events. More...
void | removeItemListener ([in] com::sun::star::awt::XItemListener l)
| unregisters a listener for item events. More...
boolean | getState ()
| returns `TRUE` if the button is checked, `FALSE` otherwise. More...
void | setState ([in] boolean b)
| sets the state of the radio button. More...
void | setLabel ([in] string Label)
| sets the label of the radio button. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the state of a radio button and makes it possible to register item event listeners.

## Member Function Documentation

## ◆ addItemListener()

void addItemListener | ( | [in] com::sun::star::awt::XItemListener | l | ) |

registers a listener for item events.

## ◆ getState()

boolean getState | ( |  | ) |

returns `TRUE` if the button is checked, `FALSE` otherwise.

## ◆ removeItemListener()

void removeItemListener | ( | [in] com::sun::star::awt::XItemListener | l | ) |

unregisters a listener for item events.

## ◆ setLabel()

void setLabel | ( | [in] string | Label | ) |

sets the label of the radio button.

## ◆ setState()

void setState | ( | [in] boolean | b | ) |

sets the state of the radio button.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XRadioButton.idl